petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecStrideMaxAll

Computes the maximums of subvectors of a vector defined by a starting point and a stride and optionally its location.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStrideMaxAll(Vec v,PetscInt idex[],PetscReal nrm[])

Collective on Vec

### Input Parameter

v -the vector

### Output Parameter

| index | - the location where the maximum occurred (not supported, pass NULL, if you need this, send mail to petsc-maint@mcs.anl.gov to request it)
| nrm | - the maximum values of each subvector

### Notes

One must call VecSetBlockSize() before this routine to set the stride information, or use a vector created from a multicomponent DMDA.

The dimension of nrm must be the same as the vector block size

### See Also

VecMax(), VecStrideNorm(), VecStrideGather(), VecStrideScatter(), VecStrideMin()

Level:advanced
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages